Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.imageviewer
Class PanZoom

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--com.vistech.imageviewer.PanZoom

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.MouseListener

public class PanZoom
extends java.awt.event.MouseAdapter

Implements the pan and zoom features together.

Version:
  1.0 1 Dec 1999
Author:
  Lawrence Rodrigues
See Also:
  `Zoom`, `Scroll`, `ZoomController`, `ScrollController`

Field Summary
`protected ImageManipulator` | `imageCanvas`
`protected ScrollGUI` | `pan`
`protected boolean` | `panOn`
`protected boolean` | `panZoomOn`
`protected Scroll` | `scroll`
`protected Zoom` | `zoom`
`protected ZoomGUI` | `zoomGUI`
`protected boolean` | `zoomOn`
`protected boolean` | `zoomOut`

Constructor Summary
`PanZoom(ImageManipulator manip)`

Method Summary
`boolean` | `getPanOn()`
`double` | `getZoomFactor()`
`boolean` | `getZoomOn()`
`boolean` | `getZoomOut()`
`protected void` | `init()`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`protected void` | `popupMenu(javax.swing.JComponent comp, int x, int y)`
`void` | `reset()`
`void` | `setPanZoomOn(boolean onOrOff)`
`protected void` | `setStates()`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### imageCanvas

    protected ImageManipulator imageCanvas

### pan

    protected ScrollGUI pan

### scroll

    protected Scroll scroll

### zoomGUI

    protected ZoomGUI zoomGUI

### zoom

    protected Zoom zoom

### panOn

    protected boolean panOn

### zoomOn

    protected boolean zoomOn

### zoomOut

    protected boolean zoomOut

### panZoomOn

    protected boolean panZoomOn

Constructor Detail

### PanZoom

    public PanZoom(ImageManipulator manip)

  Parameters:
    `manip` - the component on which the image is drawn.

Method Detail

### init

    protected void init()

### setStates

    protected void setStates()

### setPanZoomOn

    public void setPanZoomOn(boolean onOrOff)

### getZoomOut

    public boolean getZoomOut()

### getZoomOn

    public boolean getZoomOn()

### getZoomFactor

    public double getZoomFactor()

### getPanOn

    public boolean getPanOn()

### reset

    public void reset()

### popupMenu

    protected void popupMenu(javax.swing.JComponent comp,
                             int x,
                             int y)

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Overrides:
    `mousePressed` in class `java.awt.event.MouseAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD